# Class: mat2d

## mat2d

2x3 Matrix

## Constructor

#### new mat2d()

A mat2d contains six elements defined as:

    [a, c, tx,
     b, d, ty]

This is a short form for the 3x3 matrix:

    [a, c, tx,
     b, d, ty,
     0, 0, 1]

The last row is ignored so the array is shorter and operations are faster.

Source:
  - mat2d.js, line 23

### Methods

#### (static) mul()

Alias for mat2d.multiply

Source:
  - mat2d.js, line 461

#### (static) sub()

Alias for mat2d.subtract

Source:
  - mat2d.js, line 467